# Generated by Django 4.1.3 on 2023-01-19 05:53

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('discussion_app', '0026_participantsofdiscussion_is_initiator'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('payment_app', '0007_chargedata_remove_checkoutsessiondata_charge_id_and_more'),
    ]

    operations = [
        migrations.AlterField(
            model_name='checkoutsessiondata',
            name='charge',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='checkout_session', to='payment_app.chargedata', verbose_name='Charge'),
        ),
        migrations.CreateModel(
            name='RefundData',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount_refunded', models.IntegerField(verbose_name='Amount refunded')),
                ('status', models.CharField(max_length=30, verbose_name='Status')),
                ('charge', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='refund', to='payment_app.chargedata', verbose_name='Charge')),
                ('discussion', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='refund', to='discussion_app.discussion', verbose_name='Discussion')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='refund', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Refund',
                'verbose_name_plural': 'Refunds',
            },
        ),
    ]
